package org.texttechnologylab.project.gruppe_05_1.domain;

public enum Gender {    // TODO: Delete

    M("männlich"),
    F("weiblich"),      // nur diese beide Werte sind in der XML-Datei vorhanden!
    NA("")              // falls Daten nicht vorhanden
    ;

    private final String text;

    public String getText() {
        return this.text;
    }

    Gender(String text) {this.text = text;}

    public static Gender byText(String text) {
        if (null == text)                   return NA;
        if (text.equalsIgnoreCase(M.text))  return M;
        if (text.equalsIgnoreCase(F.text))  return F;
        return NA;
    }
}
